/*
 * DataControl.java
 *
 * Created on July 7, 2005, 3:39 PM
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package dbcontroller;

import java.sql.*;

public class DataControl {
    private Connection conn;
    private Statement stmt;
    private ResultSet rs;
    
    /** Creates a new instance of DataControl */
    public DataControl(String user, String password) {
        initConn(user, password);
        try{
            stmt = conn.createStatement(ResultSet.TYPE_SCROLL_SENSITIVE,ResultSet.CONCUR_UPDATABLE);
        }
        catch(Exception e){
            System.out.println(e.getMessage());
        }        
    }
    
    private void initConn(String user, String password){
        try{
            Class.forName("com.mysql.jdbc.Driver").newInstance();
            conn = DriverManager.getConnection("jdbc:mysql://localhost/sprinkle?user="+user+"&password="+password);
        }
        catch(Exception e){
            System.out.println(e.getMessage());
        }
    }
    
    public void query(String query){
        try{
            rs = stmt.executeQuery(query);
        }
        catch(Exception e){
            System.out.println(e.getMessage());
        }        
    }
    
    public ResultSet getResultSet(){
        return rs;
    }
}



